//hyp.main.cpp

#include"hyp.test.h"
#include"hyp.initguid.h"

#include"hyp.ex.h"


// {FB954D60-05D0-11d5-A083-0080AD97951B}
hyp_DEFINE_GUID(CLSID_Test, 
0xfb954d60, 0x5d0, 0x11d5, 0xa0, 0x83, 0x0, 0x80, 0xad, 0x97, 0x95, 0x1b);

void TestRegistry(void)
{
	std::cout<<FormatHeaderSentence("Registry test");

	for(int i=0;i<2;i++) {
		hyp_ker::CRegistryUtility::e_registry mode;
		i==0 ? mode=hyp_ker::CRegistryUtility::reg_win32 : mode=hyp_ker::CRegistryUtility::reg_std;
		
		hyp_ker::CRegistryUtility reg_util(mode);
		reg_util.RegisterServer("path de la dll  enregister",CLSID_Test,"prog id  enregister");

		//recup des valeurs
	//	std::cout<<"Chemin in-process"<<reg_util.GetPathInprocessServer(CLSID_Test)<<'\n';
	//	std::cout<<"clsid :"<<reg_util.GetCLSIDFromProgID("prog id  enregister").ToString()<<'\n';
	}
}

void TestGlobalStream(void)
{
	std::cout<<FormatHeaderSentence("Global Stream test");
	hyp_ker::hyp_cerr<<__TIME__<<" \n\n\n;-)"<<std::endl;
}

void TestComposantExample(void)
{
	std::cout<<FormatHeaderSentence("Example Composant test");
	


	hyp_ker::interf::IUnknown* pIUnknown;
	
	hyp_ker::hypCreateInstance(hyp::example::CLSID_hypCMatrix,
		0,
		hyp_ker::INPROC_SERVER,
		hyp_ker::interf::IID_hypIUnknown,
		(void**)&pIUnknown);

	hyp::example::IMatrix* pIMatrix;
	pIUnknown->QueryInterface(hyp::example::IID_hypIMatrix,(void**)&pIMatrix);
	pIMatrix->SetSize(10,10);
	pIMatrix->SetComposante(2,0,0);

	pIMatrix->GetInfo(std::cout);
	
	pIMatrix->Release();
	pIUnknown->Release();

	/*std::string str_test;
	hyp_ker::hypGetDllInfo(str_test);
	std::cout<<str_test;
	*/
}