/*
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
 Ephydryne Components.
 Ephydryne is a part of the Hyperion Project.
----------------------------------------------------------
 Copyright (c) 2001 Pierre Rebours.

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
 See hyp.license.txt file for more information about the license.
 
 Web: http://lagrandeporte.multimania.com/hyperion
 Email: pierre_rebours@yahoo.com
----------------------------------------------------------
 CVS
 $Log$
 
 Creation 21/03/01 Pierre Rebours
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
*/


#include"hyp.out.intern.h"

using namespace ::hyp::hypout;

hyp_EXPORT_DLL void hyp_CALL_CONV InitLibrary(const std::vector<std::string>& Param,
												   long Reason)
{
	switch(Reason)
	{
	case (hyp_ker::dll_attach) :
		{			
			hyp_ker::CFactoryData FactoryDataArray[]={
				hyp_ker::CFactoryData(&CLSID_hypCObjectXFile,dxfile::CXImplFile::CreateInstance,"ObjectXFile"),
				hyp_ker::CFactoryData(&CLSID_hypCObjectStdFile,stdfile::CStdImplFile::CreateInstance,"ObjectStdFile")
			};
		

			int cFactoryDataEntries= sizeof(FactoryDataArray) / sizeof(hyp_ker::CFactoryData);
			hyp_ker::CFactory::InitStaticMembers(FactoryDataArray,cFactoryDataEntries,*Param.begin());
				
			hyp_TRACE( ("Appel de InitLibrary %s",Param.begin()->c_str()) );
			break;
		}
		//DOXYTAG
	case (hyp_ker::dll_detach) :
		{
	
		}
		
		default:
		{
			//netoyage ou extension ...
		}
	}
}

hyp_DECLARE_EXPORTED_FUNCTIONS