/*
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
 Ephydryne Components.
 Ephydryne is a part of the Hyperion Project.
----------------------------------------------------------
 Copyright (c) 2001 Pierre Rebours.

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
 See hyp.license.txt file for more information about the license.
 
 Web: http://lagrandeporte.multimania.com/hyperion
 Email: pierre_rebours@yahoo.com
----------------------------------------------------------
 CVS
 $Log$
 
 Creation 24/03/01 Pierre Rebours
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
*/


#ifndef _hyp_out_intern_h_
#define _hyp_out_intern_h_

//#define hypout_IMPL_ISERIALIZE

#include<windows.h>
#include<objbase.h>
#include<d3drmwin.h>
#include<dxfile.h>
#include<rmxfguid.h>
#include<comdef.h>


#include"hyp.out.extern.h"

//MODIF
#define hyp_CATCH_ITOR  catch(hyp_ker::CComException error) {				\
							if(hyp_ker::Failed(error.GetResult())) {	\
								throw error;							\
							}											\
						}


hyp_NAMESPACE_BEGIN_HYPOUT

#include"hyp.out.facade.h"
#include"hyp.file.base.h"

//DOXYTAG
#ifndef hypfem_DOXYGEN

namespace stdfile {
#include"hyp.file.formatstd.h"
#include"hyp.file.implstd.h"
}



namespace dxfile {
extern char* g_XTemplates;

#include"hyp.file.xguid.h"
#include"hyp.file.chunkx.h"
#include"hyp.file.implx.h"

std::string GetErrorInfoForXFile(HRESULT);

#define hyp_THROW_DXFILE( hr ) hyp_THROW_COM2(hyp_ker::com_directxfile,\
( "DXFile error : %s",GetErrorInfoForXFile(hr).c_str()) )
#define hyp_CHECK_HR( hr ) if(FAILED(hr)) hyp_THROW_DXFILE(hr)

}

#endif


hyp_NAMESPACE_END_HYPOUT


#endif