<tagfile>
  <compound kind="page">
    <filename>main</filename>
    <title>Ephydryne Components</title>
    <name>main</name>
    <docanchor>Ephy_Acknow</docanchor>
    <docanchor>Ephy_Glance</docanchor>
  </compound>
  <compound kind="file">
    <name>hyp.fem.intern.h</name>
    <path>d:/private/hyperion/hyperion/src/hypfemserver/</path>
    <filename>hyp_8fem_8intern_8h.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hypfem_INSIDE_INTERN</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_CATCH_ITOR</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hypfem_USE_GLOBAL_FACTORY</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hypfem_TRACE_ON</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hypfem_TRACE_DESTRUCTOR_ON</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hypfem_IDENTIFY_CONSTRUCTION_ON</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hypfem_TRACE</name>
      <anchor>a6</anchor>
      <arglist>(args)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hypfem_TRACE_DESTRUCTOR</name>
      <anchor>a7</anchor>
      <arglist>(args)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hypfem_TRACE_CONSTRUCTION</name>
      <anchor>a8</anchor>
      <arglist>(args)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>hyp.fem.server.h</name>
    <path>d:/private/hyperion/hyperion/src/hypfemserver/</path>
    <filename>hyp_8fem_8server_8h.html</filename>
    <member kind="function">
      <type></type>
      <name>hyp_DEFINE_GUID</name>
      <anchor>a0</anchor>
      <arglist>(CLSID_hypCContainer, 0x1187d861, 0x9f81, 0x11d4, 0xa0, 0x8f, 0x0, 0x80, 0xad, 0x97, 0x95, 0x1b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CContainer</name>
    <filename>classCContainer.html</filename>
    <base>IContainer</base>
    <base>IContainerKey</base>
    <base>IContainerIterator</base>
    <member kind="function">
      <type></type>
      <name>CContainer</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CContainer</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Add</name>
      <anchor>a3</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>RemoveAll</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_size</type>
      <name>GetSize</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Remove</name>
      <anchor>a6</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Add</name>
      <anchor>a7</anchor>
      <arglist>(hyp_ker::IUnknown *, const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Remove</name>
      <anchor>a8</anchor>
      <arglist>(const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_ker::IUnknown *</type>
      <name>GetContent</name>
      <anchor>a9</anchor>
      <arglist>(const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_label</type>
      <name>GetKey</name>
      <anchor>a10</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetKey</name>
      <anchor>a11</anchor>
      <arglist>(hyp_ker::IUnknown *, const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_ker::IUnknown *</type>
      <name>SetBeginSelection</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_ker::IUnknown *</type>
      <name>GetSelection</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_ker::IUnknown *</type>
      <name>IncrSelection</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CFactoriesLibrary</name>
    <filename>classCFactoriesLibrary.html</filename>
    <base>IFactoriesLibrary</base>
    <member kind="function">
      <type></type>
      <name>CFactoriesLibrary</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CFactoriesLibrary</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;,void **)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>CreateInstance</name>
      <anchor>a3</anchor>
      <arglist>(const hyp_ker::hypCLSID &amp;, hyp_ker::IUnknown *, t_ulong, const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>CreateInstance</name>
      <anchor>a4</anchor>
      <arglist>(const char *, hyp_ker::IUnknown *, t_ulong, const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CFEOElements</name>
    <filename>classCFEOElements.html</filename>
    <base>IFEOElement</base>
    <member kind="function">
      <type></type>
      <name>CFEOElements</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *, PTR_INIT_MATRIX)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CFEOElements</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstanceBrick42</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const IFEOMaterial *</type>
      <name>GetMaterial</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetMaterial</name>
      <anchor>a6</anchor>
      <arglist>(IFEOMaterial *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetKe</name>
      <anchor>a7</anchor>
      <arglist>(IMatrix *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CFEOMaterials</name>
    <filename>classCFEOMaterials.html</filename>
    <base>IFEOMaterial</base>
    <member kind="function">
      <type></type>
      <name>CFEOMaterials</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *, t_real, t_real)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CFEOMaterials</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstanceDefault</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstanceSteel</name>
      <anchor>d1</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetYoung</name>
      <anchor>a5</anchor>
      <arglist>(const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_real</type>
      <name>GetYoung</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetPoisson</name>
      <anchor>a7</anchor>
      <arglist>(const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_real</type>
      <name>GetPoisson</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CFEOMesh</name>
    <filename>classCFEOMesh.html</filename>
    <base>IFEOMesh</base>
    <member kind="function">
      <type></type>
      <name>CFEOMesh</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CFEOMesh</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetDefaultMaterial</name>
      <anchor>a5</anchor>
      <arglist>(IFEOMaterial *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const IFEOMaterial *</type>
      <name>GetDefaultMaterial</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ConstructGlobalMatrix</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IMatrix *</type>
      <name>K</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ConstructBoundaryMatrix</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>InverseBoundaryMatrix</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ConstructVisibleMatrix</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>InitMasks</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetRenderMask</name>
      <anchor>a13</anchor>
      <arglist>(const t_mask_array &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_mask_array</type>
      <name>RenderMask</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_real_array</type>
      <name>Displacement</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_real_array</type>
      <name>GetGlobalDisplacement</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetRealTimeMask</name>
      <anchor>a17</anchor>
      <arglist>(const t_mask_array &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_mask_array</type>
      <name>RealTimeMask</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_real_array</type>
      <name>RealTimeForce</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_real_array</type>
      <name>GetGlobalRealTimeForce</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetGlobalRealTimeForce</name>
      <anchor>a21</anchor>
      <arglist>(const t_real_array &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ClearRealTimeForce</name>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>PreRender</name>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Render</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>PostRender</name>
      <anchor>a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricBase *</type>
      <name>CreateElement</name>
      <anchor>a26</anchor>
      <arglist>(const t_label &amp;, const t_label_enum &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IContainerKey *</type>
      <name>GetContainerOfElements</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_size</type>
      <name>GetNumberOfElements</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricBase *</type>
      <name>GetElement</name>
      <anchor>a29</anchor>
      <arglist>(const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetForce</name>
      <anchor>a30</anchor>
      <arglist>(const t_label &amp;, const t_real &amp;, const t_real &amp;, const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetForce</name>
      <anchor>a31</anchor>
      <arglist>(const t_real &amp;, const t_real &amp;, const t_real &amp;, bool, bool, bool, const t_real &amp;, const t_real &amp;, const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>FixDOF</name>
      <anchor>a32</anchor>
      <arglist>(const t_real &amp;, const t_real &amp;, const t_real &amp;, bool, bool, bool, bool, bool, bool)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ClearAllData</name>
      <anchor>a33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>IsSideFixed</name>
      <anchor>a34</anchor>
      <arglist>(const t_label &amp;, const t_size &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CFEONode</name>
    <filename>classCFEONode.html</filename>
    <base>IFEOBoundaryConditions</base>
    <member kind="function">
      <type></type>
      <name>CFEONode</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CFEONode</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>FixDOF</name>
      <anchor>a5</anchor>
      <arglist>(const t_size &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>UnFixDOF</name>
      <anchor>a6</anchor>
      <arglist>(const t_size &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ClearDOF</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>IsFixed</name>
      <anchor>a8</anchor>
      <arglist>(const t_size &amp;) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CGeometricBase</name>
    <filename>classCGeometricBase.html</filename>
    <base>IGeometricBase</base>
    <member kind="function">
      <type></type>
      <name>CGeometricBase</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CGeometricBase</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_size</type>
      <name>GetNumberOfVertices</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricVertex *</type>
      <name>GetVertex</name>
      <anchor>a6</anchor>
      <arglist>(const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricVertex *</type>
      <name>GetVertex</name>
      <anchor>a7</anchor>
      <arglist>(const t_real &amp;,const t_real &amp;,const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_label</type>
      <name>GetLabel</name>
      <anchor>a8</anchor>
      <arglist>(IGeometricVertex *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>AddVertex</name>
      <anchor>a9</anchor>
      <arglist>(IGeometricVertex *, const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>DeleteVertex</name>
      <anchor>a10</anchor>
      <arglist>(const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IContainerKey *</type>
      <name>GetContainerOfVertices</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetFilter</name>
      <anchor>a12</anchor>
      <arglist>(const hyp_ker::hypIID *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ClearFilter</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CGeometricObject</name>
    <filename>classCGeometricObject.html</filename>
    <base>IGeometricObject</base>
    <member kind="function">
      <type></type>
      <name>CGeometricObject</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *, const hyp_ker::hypCLSID *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CGeometricObject</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstanceForGeometry</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstanceForFiniteElement</name>
      <anchor>d1</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricSide *</type>
      <name>CreateSide</name>
      <anchor>a5</anchor>
      <arglist>(const t_label &amp;, const t_label_enum &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricSide *</type>
      <name>CreateSide</name>
      <anchor>a6</anchor>
      <arglist>(const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricVertex *</type>
      <name>CreateVertex</name>
      <anchor>a7</anchor>
      <arglist>(const t_label &amp;, const t_real &amp;, const t_real &amp;, const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricVertex *</type>
      <name>CreateVertex</name>
      <anchor>a8</anchor>
      <arglist>(const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>AddSide</name>
      <anchor>a9</anchor>
      <arglist>(IGeometricSide *, const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>DeleteSide</name>
      <anchor>a10</anchor>
      <arglist>(const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IContainerKey *</type>
      <name>GetContainerOfSides</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_size</type>
      <name>GetNumberOfSides</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricSide *</type>
      <name>GetSide</name>
      <anchor>a13</anchor>
      <arglist>(const t_label &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CGeometricSide</name>
    <filename>classCGeometricSide.html</filename>
    <base>IGeometricBase</base>
    <base>IGeometricSide</base>
    <member kind="function">
      <type></type>
      <name>CGeometricSide</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CGeometricSide</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_size</type>
      <name>GetNumberOfVertices</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricVertex *</type>
      <name>GetVertex</name>
      <anchor>a6</anchor>
      <arglist>(const t_label &amp;Label)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IGeometricVertex *</type>
      <name>GetVertex</name>
      <anchor>a7</anchor>
      <arglist>(const t_real &amp;X, const t_real &amp;Y, const t_real &amp;Z)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_label</type>
      <name>GetLabel</name>
      <anchor>a8</anchor>
      <arglist>(IGeometricVertex *pObject)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>AddVertex</name>
      <anchor>a9</anchor>
      <arglist>(IGeometricVertex *, const t_label &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>DeleteVertex</name>
      <anchor>a10</anchor>
      <arglist>(const t_label &amp;Label)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual IContainerKey *</type>
      <name>GetContainerOfVertices</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetFilter</name>
      <anchor>a12</anchor>
      <arglist>(const hyp_ker::hypIID *pIID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ClearFilter</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CGeometricVertex</name>
    <filename>classCGeometricVertex.html</filename>
    <base>IGeometricVertex</base>
    <member kind="function">
      <type></type>
      <name>CGeometricVertex</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CGeometricVertex</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_real</type>
      <name>GetCoord</name>
      <anchor>a3</anchor>
      <arglist>(const t_size &amp;) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetCoord</name>
      <anchor>a4</anchor>
      <arglist>(const t_real &amp;, const t_size &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>IsVisible</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Visible</name>
      <anchor>a6</anchor>
      <arglist>(bool bVisible)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CMatrix</name>
    <filename>classCMatrix.html</filename>
    <base>IMatrix</base>
    <member kind="function">
      <type></type>
      <name>CMatrix</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CMatrix</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *pUnknownOuter, hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Transpose</name>
      <anchor>a5</anchor>
      <arglist>(IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetMatrix</name>
      <anchor>a6</anchor>
      <arglist>(IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Multiply</name>
      <anchor>a7</anchor>
      <arglist>(const IMatrix *,IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Extract</name>
      <anchor>a8</anchor>
      <arglist>(const t_size &amp;,const t_size &amp;,const t_size &amp;, const t_size &amp;,IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>IncrValue</name>
      <anchor>a9</anchor>
      <arglist>(const t_size &amp;,const t_size &amp;,const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetDim</name>
      <anchor>a10</anchor>
      <arglist>(const t_size &amp;, const t_size &amp;, const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetValue</name>
      <anchor>a11</anchor>
      <arglist>(const t_size &amp;, const t_size &amp;, const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_real</type>
      <name>GetValue</name>
      <anchor>a12</anchor>
      <arglist>(const t_size &amp;,const t_size &amp;) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetMatrix</name>
      <anchor>a13</anchor>
      <arglist>(const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_size</type>
      <name>GetNbRow</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_size</type>
      <name>GetNbColumn</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Multiply</name>
      <anchor>a16</anchor>
      <arglist>(const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Substract</name>
      <anchor>a17</anchor>
      <arglist>(const IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Invert</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Add</name>
      <anchor>a19</anchor>
      <arglist>(const IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>IsSymmetrical</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>EraseRow</name>
      <anchor>a21</anchor>
      <arglist>(const t_size &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>EraseColumn</name>
      <anchor>a22</anchor>
      <arglist>(const t_size &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>EraseRowsAndColumns</name>
      <anchor>a23</anchor>
      <arglist>(const t_mask_array &amp;, const t_mask_array &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CStdImplFile</name>
    <filename>classCStdImplFile.html</filename>
    <base>IShowMeshObject</base>
    <member kind="function">
      <type></type>
      <name>CStdImplFile</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CStdImplFile</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetObject</name>
      <anchor>a5</anchor>
      <arglist>(hyp_ker::IUnknown *pObject)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetOutput</name>
      <anchor>a6</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetOutput</name>
      <anchor>a7</anchor>
      <arglist>(const std::ostream &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>CloseOutput</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowNodes</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowSides</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowElements</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowMatrix</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowMatrixDim</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowForceMask</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowRenderMask</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowDisplacements</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowGlobalDisplacements</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowForces</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowGlobalForces</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowAll</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CVector</name>
    <filename>classCVector.html</filename>
    <base>IMatrix</base>
    <member kind="function">
      <type></type>
      <name>CVector</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CVector</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Transpose</name>
      <anchor>a5</anchor>
      <arglist>(IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetMatrix</name>
      <anchor>a6</anchor>
      <arglist>(IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Multiply</name>
      <anchor>a7</anchor>
      <arglist>(const IMatrix *, IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Extract</name>
      <anchor>a8</anchor>
      <arglist>(const t_size &amp;,const t_size &amp;,const t_size &amp;, const t_size &amp;, IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>IncrValue</name>
      <anchor>a9</anchor>
      <arglist>(const t_size &amp;,const t_size &amp;,const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetDim</name>
      <anchor>a10</anchor>
      <arglist>(const t_size &amp;, const t_size &amp;, const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetValue</name>
      <anchor>a11</anchor>
      <arglist>(const t_size &amp;, const t_size &amp;, const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_real</type>
      <name>GetValue</name>
      <anchor>a12</anchor>
      <arglist>(const t_size &amp;,const t_size &amp;) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetMatrix</name>
      <anchor>a13</anchor>
      <arglist>(const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_size</type>
      <name>GetNbRow</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_size</type>
      <name>GetNbColumn</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Multiply</name>
      <anchor>a16</anchor>
      <arglist>(const t_real &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Substract</name>
      <anchor>a17</anchor>
      <arglist>(const IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Invert</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Add</name>
      <anchor>a19</anchor>
      <arglist>(const IMatrix *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>IsSymmetrical</name>
      <anchor>a20</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>EraseRow</name>
      <anchor>a21</anchor>
      <arglist>(const t_size &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>EraseColumn</name>
      <anchor>a22</anchor>
      <arglist>(const t_size &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>EraseRowsAndColumns</name>
      <anchor>a23</anchor>
      <arglist>(const t_mask_array &amp;, const t_mask_array &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CXImplFile</name>
    <filename>classCXImplFile.html</filename>
    <base>ID3DMeshObject</base>
    <member kind="function">
      <type></type>
      <name>CXImplFile</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CXImplFile</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual hyp_DECLARE_IUNKNOWN hyp_ker::com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hyp_ker::hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function">
      <type>hyp_ker::com_result</type>
      <name>Init</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FinalRelease</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>hyp_ker::com_result</type>
      <name>CreateInstance</name>
      <anchor>d0</anchor>
      <arglist>(hyp_ker::IUnknown *,hyp_ker::CUnknown **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetObject</name>
      <anchor>a5</anchor>
      <arglist>(hyp_ker::IUnknown *pObject)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>InitializeD3DMeshBuilder</name>
      <anchor>a6</anchor>
      <arglist>(LPDIRECT3DRMMESHBUILDER3)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SaveD3DMeshBuilder</name>
      <anchor>a7</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SaveD3DHypMesh</name>
      <anchor>a8</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>LoadD3DHypMesh</name>
      <anchor>a9</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IContainer</name>
    <filename>structIContainer.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Add</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *pObject)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>RemoveAll</name>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_size</type>
      <name>GetSize</name>
      <anchor>a2</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Remove</name>
      <anchor>a3</anchor>
      <arglist>(hyp_ker::IUnknown *pObject)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IContainerIterator</name>
    <filename>structIContainerIterator.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual hyp_ker::IUnknown *</type>
      <name>SetBeginSelection</name>
      <anchor>a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual hyp_ker::IUnknown *</type>
      <name>GetSelection</name>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual hyp_ker::IUnknown *</type>
      <name>IncrSelection</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IContainerKey</name>
    <filename>structIContainerKey.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Add</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *pObject, const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Remove</name>
      <anchor>a1</anchor>
      <arglist>(const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual hyp_ker::IUnknown *</type>
      <name>GetContent</name>
      <anchor>a2</anchor>
      <arglist>(const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_label</type>
      <name>GetKey</name>
      <anchor>a3</anchor>
      <arglist>(hyp_ker::IUnknown *pObject)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetKey</name>
      <anchor>a4</anchor>
      <arglist>(hyp_ker::IUnknown *pObject, const t_label &amp;Label)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>ID3DMeshObject</name>
    <filename>structID3DMeshObject.html</filename>
    <base>IFileObject</base>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>InitializeD3DMeshBuilder</name>
      <anchor>a0</anchor>
      <arglist>(LPDIRECT3DRMMESHBUILDER3 pComObject)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SaveD3DMeshBuilder</name>
      <anchor>a1</anchor>
      <arglist>(const std::string &amp;FileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SaveD3DHypMesh</name>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;FileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>LoadD3DHypMesh</name>
      <anchor>a3</anchor>
      <arglist>(const std::string &amp;FileName)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IFactoriesLibrary</name>
    <filename>structIFactoriesLibrary.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>CreateInstance</name>
      <anchor>a0</anchor>
      <arglist>(const hyp_ker::hypCLSID &amp;CLSID, hyp_ker::IUnknown *pIUnknownOuter, t_ulong, const hyp_ker::hypIID &amp;, void **)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>CreateInstance</name>
      <anchor>a1</anchor>
      <arglist>(const char *FriendlyName, hyp_ker::IUnknown *, t_ulong, const hyp_ker::hypIID &amp;, void **)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IFEOBoundaryConditions</name>
    <filename>structIFEOBoundaryConditions.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>FixDOF</name>
      <anchor>a0</anchor>
      <arglist>(const t_size &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>UnFixDOF</name>
      <anchor>a1</anchor>
      <arglist>(const t_size &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ClearDOF</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>IsFixed</name>
      <anchor>a3</anchor>
      <arglist>(const t_size &amp;Label) const=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IFEOElement</name>
    <filename>structIFEOElement.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual const IFEOMaterial *</type>
      <name>GetMaterial</name>
      <anchor>a0</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetMaterial</name>
      <anchor>a1</anchor>
      <arglist>(IFEOMaterial *pObject)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetKe</name>
      <anchor>a2</anchor>
      <arglist>(IMatrix *pObject)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IFEOMaterial</name>
    <filename>structIFEOMaterial.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetYoung</name>
      <anchor>a0</anchor>
      <arglist>(const t_real &amp;Scalar)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_real</type>
      <name>GetYoung</name>
      <anchor>a1</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetPoisson</name>
      <anchor>a2</anchor>
      <arglist>(const t_real &amp;Scalar)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_real</type>
      <name>GetPoisson</name>
      <anchor>a3</anchor>
      <arglist>() const=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IFEOMesh</name>
    <filename>structIFEOMesh.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual IGeometricBase *</type>
      <name>CreateElement</name>
      <anchor>a0</anchor>
      <arglist>(const t_label &amp;Label, const t_label_enum &amp;LabelEnum)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IContainerKey *</type>
      <name>GetContainerOfElements</name>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_size</type>
      <name>GetNumberOfElements</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IGeometricBase *</type>
      <name>GetElement</name>
      <anchor>a3</anchor>
      <arglist>(const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ClearAllData</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetDefaultMaterial</name>
      <anchor>a5</anchor>
      <arglist>(IFEOMaterial *pObject)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const IFEOMaterial *</type>
      <name>GetDefaultMaterial</name>
      <anchor>a6</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ConstructGlobalMatrix</name>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IMatrix *</type>
      <name>K</name>
      <anchor>a8</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ConstructBoundaryMatrix</name>
      <anchor>a9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>InverseBoundaryMatrix</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ConstructVisibleMatrix</name>
      <anchor>a11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>InitMasks</name>
      <anchor>a12</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetRenderMask</name>
      <anchor>a13</anchor>
      <arglist>(const t_mask_array &amp;Mask)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_mask_array</type>
      <name>RenderMask</name>
      <anchor>a14</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_real_array</type>
      <name>Displacement</name>
      <anchor>a15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_real_array</type>
      <name>GetGlobalDisplacement</name>
      <anchor>a16</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetRealTimeMask</name>
      <anchor>a17</anchor>
      <arglist>(const t_mask_array &amp;Mask)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_mask_array</type>
      <name>RealTimeMask</name>
      <anchor>a18</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_real_array</type>
      <name>RealTimeForce</name>
      <anchor>a19</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_real_array</type>
      <name>GetGlobalRealTimeForce</name>
      <anchor>a20</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetGlobalRealTimeForce</name>
      <anchor>a21</anchor>
      <arglist>(const t_real_array &amp;Array)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ClearRealTimeForce</name>
      <anchor>a22</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>PreRender</name>
      <anchor>a23</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Render</name>
      <anchor>a24</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>PostRender</name>
      <anchor>a25</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetForce</name>
      <anchor>a26</anchor>
      <arglist>(const t_label &amp;Label, const t_real &amp;FX, const t_real &amp;FY, const t_real &amp;FZ)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetForce</name>
      <anchor>a27</anchor>
      <arglist>(const t_real &amp;X, const t_real &amp;Y, const t_real &amp;Z, bool FilterX, bool FilterY, bool FilterZ, const t_real &amp;FX, const t_real &amp;FY, const t_real &amp;FZ)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>FixDOF</name>
      <anchor>a28</anchor>
      <arglist>(const t_real &amp;X, const t_real &amp;Y, const t_real &amp;Z, bool FilterX, bool FilterY, bool FilterZ, bool DOFX, bool DOFY, bool DOFZ)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>IsSideFixed</name>
      <anchor>a29</anchor>
      <arglist>(const t_label &amp;SideLabel, const t_size &amp;CoordinateLabel)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IFileObject</name>
    <filename>structIFileObject.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetObject</name>
      <anchor>a0</anchor>
      <arglist>(hyp_ker::IUnknown *pObject)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IGeometricBase</name>
    <filename>structIGeometricBase.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual t_size</type>
      <name>GetNumberOfVertices</name>
      <anchor>a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IGeometricVertex *</type>
      <name>GetVertex</name>
      <anchor>a1</anchor>
      <arglist>(const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IGeometricVertex *</type>
      <name>GetVertex</name>
      <anchor>a2</anchor>
      <arglist>(const t_real &amp;X, const t_real &amp;Y, const t_real &amp;Z)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_label</type>
      <name>GetLabel</name>
      <anchor>a3</anchor>
      <arglist>(IGeometricVertex *pVertex)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>AddVertex</name>
      <anchor>a4</anchor>
      <arglist>(IGeometricVertex *pVertex, const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>DeleteVertex</name>
      <anchor>a5</anchor>
      <arglist>(const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IContainerKey *</type>
      <name>GetContainerOfVertices</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetFilter</name>
      <anchor>a7</anchor>
      <arglist>(const hyp_ker::hypIID *pIID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ClearFilter</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IGeometricObject</name>
    <filename>structIGeometricObject.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual IGeometricSide *</type>
      <name>CreateSide</name>
      <anchor>a0</anchor>
      <arglist>(const t_label &amp;Label, const t_label_enum &amp;LabelEnum)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IGeometricSide *</type>
      <name>CreateSide</name>
      <anchor>a1</anchor>
      <arglist>(const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IGeometricVertex *</type>
      <name>CreateVertex</name>
      <anchor>a2</anchor>
      <arglist>(const t_label &amp;Label, const t_real &amp;X, const t_real &amp;Y, const t_real &amp;Z)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IGeometricVertex *</type>
      <name>CreateVertex</name>
      <anchor>a3</anchor>
      <arglist>(const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>AddSide</name>
      <anchor>a4</anchor>
      <arglist>(IGeometricSide *, const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>DeleteSide</name>
      <anchor>a5</anchor>
      <arglist>(const t_label &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IContainerKey *</type>
      <name>GetContainerOfSides</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_size</type>
      <name>GetNumberOfSides</name>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual IGeometricSide *</type>
      <name>GetSide</name>
      <anchor>a8</anchor>
      <arglist>(const t_label &amp;Side)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IGeometricSide</name>
    <filename>structIGeometricSide.html</filename>
  </compound>
  <compound kind="struct">
    <name>IGeometricVertex</name>
    <filename>structIGeometricVertex.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual t_real</type>
      <name>GetCoord</name>
      <anchor>a0</anchor>
      <arglist>(const t_size &amp;Label) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetCoord</name>
      <anchor>a1</anchor>
      <arglist>(const t_real &amp;Scalar, const t_size &amp;Label)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>IsVisible</name>
      <anchor>a2</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Visible</name>
      <anchor>a3</anchor>
      <arglist>(bool bVisible)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IMatrix</name>
    <filename>structIMatrix.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetMatrix</name>
      <anchor>a0</anchor>
      <arglist>(IMatrix *B)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Extract</name>
      <anchor>a1</anchor>
      <arglist>(const t_size &amp;MinX, const t_size &amp;MaxX, const t_size &amp;MinY, const t_size &amp;MaxY, IMatrix *B)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>IncrValue</name>
      <anchor>a2</anchor>
      <arglist>(const t_size &amp;X, const t_size &amp;Y, const t_real &amp;Scalar)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetDim</name>
      <anchor>a3</anchor>
      <arglist>(const t_size &amp;Column, const t_size &amp;Row, const t_real &amp;Scalar=0)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetValue</name>
      <anchor>a4</anchor>
      <arglist>(const t_size &amp;X, const t_size &amp;Y, const t_real &amp;Scalar)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_real</type>
      <name>GetValue</name>
      <anchor>a5</anchor>
      <arglist>(const t_size &amp;X, const t_size &amp;Y) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetMatrix</name>
      <anchor>a6</anchor>
      <arglist>(const t_real &amp;Scalar)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_size</type>
      <name>GetNbRow</name>
      <anchor>a7</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_size</type>
      <name>GetNbColumn</name>
      <anchor>a8</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Multiply</name>
      <anchor>a9</anchor>
      <arglist>(const t_real &amp;Scalar)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Multiply</name>
      <anchor>a10</anchor>
      <arglist>(const IMatrix *B, IMatrix *C)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Substract</name>
      <anchor>a11</anchor>
      <arglist>(const IMatrix *B)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Invert</name>
      <anchor>a12</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Add</name>
      <anchor>a13</anchor>
      <arglist>(const IMatrix *B)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Transpose</name>
      <anchor>a14</anchor>
      <arglist>(IMatrix *B)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>IsSymmetrical</name>
      <anchor>a15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>EraseRow</name>
      <anchor>a16</anchor>
      <arglist>(const t_size &amp;Y)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>EraseColumn</name>
      <anchor>a17</anchor>
      <arglist>(const t_size &amp;X)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>EraseRowsAndColumns</name>
      <anchor>a18</anchor>
      <arglist>(const t_mask_array &amp;RowMask,const t_mask_array &amp;ColumnMask)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IShowMeshObject</name>
    <filename>structIShowMeshObject.html</filename>
    <base>IFileObject</base>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetOutput</name>
      <anchor>a0</anchor>
      <arglist>(const std::string &amp;FileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetOutput</name>
      <anchor>a1</anchor>
      <arglist>(const std::ostream &amp;Stream)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>CloseOutput</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowNodes</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowSides</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowElements</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowMatrix</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowMatrixDim</name>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowForceMask</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowRenderMask</name>
      <anchor>a9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowDisplacements</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowGlobalDisplacements</name>
      <anchor>a11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowForces</name>
      <anchor>a12</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowGlobalForces</name>
      <anchor>a13</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ShowAll</name>
      <anchor>a14</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>Ephy_HypProject</name>
    <title>Hyperion Project</title>
    <filename>Ephy_HypProject</filename>
    <docanchor>Ephy_HypProject_Ephydryne</docanchor>
    <docanchor>Ephy_HypProject_HypPattern</docanchor>
    <docanchor>_todo000001</docanchor>
  </compound>
  <compound kind="page">
    <name>Ephy_ContactMe</name>
    <title>Contact Me</title>
    <filename>Ephy_ContactMe</filename>
  </compound>
  <compound kind="page">
    <name>Ephy_Downloads</name>
    <title>Downloads</title>
    <filename>Ephy_Downloads</filename>
  </compound>
  <compound kind="page">
    <name>Ephy_TermsOfUse</name>
    <title>Terms of Use</title>
    <filename>Ephy_TermsOfUse</filename>
  </compound>
  <compound kind="page">
    <name>Ephy_GeneratedDoc</name>
    <title>Generated Documentation</title>
    <filename>Ephy_GeneratedDoc</filename>
  </compound>
  <compound kind="page">
    <name>Ephy_ContentDK</name>
    <title>Contents of the Development Kit (DK)</title>
    <filename>Ephy_ContentDK</filename>
    <docanchor>Ephy_ContentDK_Doc</docanchor>
    <docanchor>Ephy_ContentDK_Bin</docanchor>
    <docanchor>Ephy_ContentDK_Template</docanchor>
    <docanchor>Ephy_ContentDK_Src</docanchor>
    <docanchor>Ephy_ContentDK_Visualc</docanchor>
    <docanchor>Ephy_ContentDK_Interf</docanchor>
    <docanchor>Ephy_ContentDK_LIB</docanchor>
  </compound>
  <compound kind="page">
    <name>Ephy_Install</name>
    <title>Installation</title>
    <filename>Ephy_Install</filename>
    <docanchor>Ephy_Install_DirectX</docanchor>
    <docanchor>Ephy_Install_Copy</docanchor>
    <docanchor>_todo000002</docanchor>
    <docanchor>Ephy_Install_Registration</docanchor>
    <docanchor>Ephy_Install_EnvVariables</docanchor>
  </compound>
  <compound kind="page">
    <name>Ephy_Compilo</name>
    <title>Compilation</title>
    <filename>Ephy_Compilo</filename>
    <docanchor>Ephy_Compilo_VC6</docanchor>
  </compound>
  <compound kind="page">
    <name>Ephy_ExtLibrary</name>
    <title>External Libraries</title>
    <filename>Ephy_ExtLibrary</filename>
    <docanchor>Ephy_ExtLibrary_DirectX</docanchor>
    <docanchor>Ephy_ExtLibrary_HypPattern</docanchor>
    <docanchor>Ephy_ExtLibrary_MatLib</docanchor>
    <docanchor>_todo000003</docanchor>
  </compound>
  <compound kind="page">
    <name>Ephy_Test</name>
    <title>Tests</title>
    <filename>Ephy_Test</filename>
    <docanchor>_todo000004</docanchor>
  </compound>
  <compound kind="page">
    <name>Ephy_Glossary</name>
    <title>Glossary</title>
    <filename>Ephy_Glossary</filename>
    <docanchor>Ephy_G_CArray</docanchor>
    <docanchor>Ephy_G_ContainerLabel</docanchor>
    <docanchor>Ephy_G_MatrixComponent</docanchor>
    <docanchor>Ephy_G_3DSystem</docanchor>
    <docanchor>Ephy_G_ElementLabel</docanchor>
    <docanchor>Ephy_G_VertexLabel</docanchor>
    <docanchor>Ephy_G_CoordinateLabel</docanchor>
    <docanchor>Ephy_G_GeometricData</docanchor>
    <docanchor>Ephy_G_OrientedContainerInterface</docanchor>
    <docanchor>_todo000005</docanchor>
    <docanchor>Ephy_G_SideLabel</docanchor>
    <docanchor>Ephy_G_Ephydryne</docanchor>
  </compound>
  <compound kind="group">
    <name>Ephy_FEM</name>
    <title>FEM Components</title>
    <filename>group__Ephy__FEM.html</filename>
    <subgroup>Ephy_FEM_FEO</subgroup>
    <subgroup>Ephy_FEM_Data</subgroup>
    <subgroup>Ephy_FEM_Math</subgroup>
    <subgroup>Ephy_FEM_Common</subgroup>
    <page>Ephy_FEM_Server</page>
  </compound>
  <compound kind="group">
    <name>Ephy_FEM_Common</name>
    <title>Common Components</title>
    <filename>group__Ephy__FEM__Common.html</filename>
    <class kind="class">CContainer</class>
    <class kind="class">CFactoriesLibrary</class>
  </compound>
  <compound kind="group">
    <name>Ephy_FEM_Math</name>
    <title>Math Components</title>
    <filename>group__Ephy__FEM__Math.html</filename>
    <class kind="class">CMatrix</class>
    <class kind="class">CVector</class>
  </compound>
  <compound kind="group">
    <name>Ephy_FEM_Data</name>
    <title>Data Components</title>
    <filename>group__Ephy__FEM__Data.html</filename>
    <class kind="class">CGeometricBase</class>
    <class kind="class">CGeometricObject</class>
    <class kind="class">CGeometricSide</class>
    <class kind="class">CGeometricVertex</class>
  </compound>
  <compound kind="group">
    <name>Ephy_FEM_FEO</name>
    <title>FEO Components</title>
    <filename>group__Ephy__FEM__FEO.html</filename>
    <class kind="class">CFEOElements</class>
    <class kind="class">CFEOMaterials</class>
    <class kind="class">CFEOMesh</class>
    <class kind="class">CFEONode</class>
  </compound>
  <compound kind="group">
    <name>Ephy_OUT</name>
    <title>OUT Components</title>
    <filename>group__Ephy__OUT.html</filename>
    <page>Ephy_OUT_Server</page>
  </compound>
  <compound kind="group">
    <name>Ephy_Interface</name>
    <title>Interfaces</title>
    <filename>group__Ephy__Interface.html</filename>
    <subgroup>Ephy_Interface_Out</subgroup>
    <subgroup>Ephy_Interface_FEO</subgroup>
    <subgroup>Ephy_Interface_Data</subgroup>
    <subgroup>Ephy_Interface_Math</subgroup>
    <subgroup>Ephy_Interface_Common</subgroup>
  </compound>
  <compound kind="group">
    <name>Ephy_Interface_Common</name>
    <title>Common Interfaces</title>
    <filename>group__Ephy__Interface__Common.html</filename>
    <class kind="struct">IContainer</class>
    <class kind="struct">IContainerIterator</class>
    <class kind="struct">IContainerKey</class>
    <class kind="struct">IFactoriesLibrary</class>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IContainer,&amp;IID_hypIContainer &gt;</type>
      <name>t_spContainer</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IContainerKey,&amp;IID_hypIContainerKey &gt;</type>
      <name>t_spContainerKey</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IContainerIterator,&amp;IID_hypIContainerIterator &gt;</type>
      <name>t_spContainerIterator</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IFactoriesLibrary,&amp;IID_hypIFactoriesLibrary &gt;</type>
      <name>t_spFactoriesLibrary</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>hyp_DEFINE_GUID</name>
      <anchor>a4</anchor>
      <arglist>(IID_hypIContainer, 0xcc11c7c1, 0x9f7e, 0x11d4, 0xa0, 0x8f, 0x0, 0x80, 0xad, 0x97, 0x95, 0x1b)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>Ephy_Interface_Math</name>
    <title>Math Interfaces</title>
    <filename>group__Ephy__Interface__Math.html</filename>
    <class kind="struct">IMatrix</class>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IMatrix,&amp;IID_hypIMathMatrix &gt;</type>
      <name>t_spMathMatrix</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>Ephy_Interface_Data</name>
    <title>Data Interfaces</title>
    <filename>group__Ephy__Interface__Data.html</filename>
    <class kind="struct">IGeometricBase</class>
    <class kind="struct">IGeometricObject</class>
    <class kind="struct">IGeometricSide</class>
    <class kind="struct">IGeometricVertex</class>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IGeometricVertex,&amp;IID_hypIGeometricVertex &gt;</type>
      <name>t_spGeometricVertex</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IGeometricBase,&amp;IID_hypIGeometricBase &gt;</type>
      <name>t_spGeometricBase</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IGeometricSide,&amp;IID_hypIGeometricSide &gt;</type>
      <name>t_spGeometricSide</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IGeometricObject,&amp;IID_hypIGeometricObject &gt;</type>
      <name>t_spGeometricObject</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>Ephy_Interface_FEO</name>
    <title>FEO Interfaces</title>
    <filename>group__Ephy__Interface__FEO.html</filename>
    <class kind="struct">IFEOBoundaryConditions</class>
    <class kind="struct">IFEOElement</class>
    <class kind="struct">IFEOMaterial</class>
    <class kind="struct">IFEOMesh</class>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IFEOBoundaryConditions,&amp;IID_hypIFEOBoundaryConditions &gt;</type>
      <name>t_spFEOBoundaryConditions</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IFEOMaterial,&amp;IID_hypIFEOMaterial &gt;</type>
      <name>t_spFEOMaterial</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IFEOElement,&amp;IID_hypIFEOElement &gt;</type>
      <name>t_spFEOElement</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IFEOMesh,&amp;IID_hypIFEOMesh &gt;</type>
      <name>t_spFEOMesh</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>Ephy_Interface_Out</name>
    <title>Out Interfaces</title>
    <filename>group__Ephy__Interface__Out.html</filename>
    <class kind="struct">ID3DMeshObject</class>
    <class kind="struct">IFileObject</class>
    <class kind="struct">IShowMeshObject</class>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; ID3DMeshObject,&amp;IID_hypID3DMeshObject &gt;</type>
      <name>t_spD3DMeshObject</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>hyp_ker::IPtr&lt; IShowMeshObject,&amp;IID_hypIShowMeshObject &gt;</type>
      <name>t_spShowMeshObject</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>hyp_DEFINE_GUID</name>
      <anchor>a2</anchor>
      <arglist>(IID_hypID3DMeshObject, 0xdd182be1, 0x375e, 0x11d5, 0xa0, 0x99, 0x0, 0x80, 0xad, 0x97, 0x95, 0x1b)</arglist>
    </member>
  </compound>
</tagfile>
