//hyp.common.test.cpp
//creation 13/03/01 Tycho

#include"hyp.dev.h"



void ShowContainer(std::ostream& stream,hyp_ker::IUnknown* cont)
{
	hyp_fem::t_spContainerIterator spItor;
	spItor=cont;

	hyp_fem::t_spContainer spCont;
	spCont=cont;

	hyp_fem::t_spContainerKey spContKey;
	spContKey=cont;
		
	hyp_ker::IUnknown* content=0;
	content=spItor->SetBeginSelection();

	stream<<"size "<<spCont->GetSize()<<std::endl;
	
	try{
		while(1) {
			stream<<content<<"--"<<spContKey->GetKey(content)<<'\n';
			content=spItor->IncrSelection();
		}
	} catch (hyp_ker::CComError hr ) {
		if (hr!=hyp_ker::com_notified && hr!=hyp_ker::com_ok)
			throw;
	}
}



void TestContainer(void)
{
	const int size_cont=100;
	int i=0;
	hyp_ker::IPtrUnknown spUnknown[size_cont];
	
	for(i=0;i<size_cont;i++) {
		spUnknown[i].CreateInstance(hyp_fem::CLSID_hypCContainer,0);
		hyp_ker::hyp_clog<<i<<"->"<<spUnknown[i]<<'\n';
	}

	hyp_fem::t_spContainer spContainer;
	spContainer=spUnknown[0];
	
	for(i=1;i<size_cont;i++) {
		spContainer->Add(spUnknown[i]);
	}

	ShowContainer(hyp_ker::hyp_clog,spContainer);
}

void TestFactory(void)
{
	hyp_fem::IFactoriesLibrary* pFactory=0;
	hyp_ker::com_result hr;
	hr=hyp_ker::hypCreateInstance(hyp_fem::CLSID_hypCFactoriesLibrary,
			0,
			hyp_ker::INPROC_SERVER,
			hyp_fem::IID_hypIFactoriesLibrary,
			(void**)&pFactory);

	
	if(hyp_ker::hyp_SUCCEEDED(hr)) {
		hyp_fem::IContainer* pIContainer=0;

		
		pFactory->CreateInstance(hyp_fem::CLSID_hypCContainer,0,hypker::INPROC_SERVER,
			hyp_fem::IID_hypIContainer,(void**)&pIContainer);

		pIContainer->Release();

		pFactory->CreateInstance(hyp_fem::CLSID_hypCContainer,0,hypker::INPROC_SERVER,
			hyp_fem::IID_hypIContainer,(void**)&pIContainer);
		pIContainer->Release();
  
		hyp_TRACE( ("final release") );
		pFactory->Release();
	} else {
		hyp_TRACE( ("echec") );
	}
	
}
