/*
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
 HypVisual.
 HypVisual is a part of the Hyperion Project.
----------------------------------------------------------
 Copyright (c) 2001 Pierre Rebours.

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
 See hyp.license.txt file for more information about the license.
 
 Web: http://lagrandeporte.multimania.com/hyperion
 Email: pierre_rebours@yahoo.com
----------------------------------------------------------
 CVS
 $Log$
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
*/

#ifndef _hyp_dialog_viscosity_h_
#define _hyp_dialog_viscosity_h_


class CViscosityDialog : public CDialog
{
public:
	
	CViscosityDialog(CWnd* pParent = NULL);
	
	CSimulationTool::PTR_FUNCTION m_Function;
		
// Dialog Data
	//{{AFX_DATA(CViscosityDialog)
	enum { IDD = IDD_VISCOSITY };
	double	m_Damping;
	double m_MultiCoef;	
	int m_NumberOfOscillation;
	int m_Delay;
	int m_NumberOfSteps;
	BOOL  m_bRepeat;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CViscosityDialog)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void ShowExtraExpDamping(bool);

	// Generated message map functions
	//{{AFX_MSG(CViscosityDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnSetLinearMode();
	afx_msg void OnSetSinusMode();
	afx_msg void OnSetExpDamping();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif
